import java.awt.*;

public class SokobanHelpDialog extends Frame {
	public static TextArea textarea;

	public SokobanHelpDialog(String title, String text) {
		super(title);
		setSize(340, 300);
		Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation((d.width - 300) / 2, (d.height - 200) / 2);
		textarea = new TextArea(text);
		textarea.setFont(new Font("Sans Serif", Font.PLAIN, 14));
		if (text.length() > 0)
			textarea.setEditable(false);
		add(BorderLayout.CENTER, textarea);
		show();
	}

	public static void showIt(String title, String text) {
		SokobanHelpDialog helpDialog = new SokobanHelpDialog(title, text);
	}

	public boolean handleEvent(Event evt) {
		if (evt.id == Event.WINDOW_DESTROY)
			dispose();
		return super.handleEvent(evt);
	}
}
